{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2024-08-09T16:33:01Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.27.7, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "0cf1798a55aede6892c785f1d736e560ea391ffc"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtdeclarative",
            "spdxDocument": "https://qt.io/spdxdocs/qtdeclarative-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "f53e17a48f2965e30d3ad57eb109fd891873e167"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "qtwebchannel-6.8.0",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtwebchannel-6.8.0",
    "packages": [
        {
            "SPDXID": "SPDXRef-compiler",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Clang",
            "primaryPackagePurpose": "APPLICATION",
            "summary": "The compiler as identified by CMake, running on Linux (x86_64)",
            "supplier": "Organization: Anonymous",
            "versionInfo": "17.0.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtwebchannel",
            "builtDate": "2024-08-09T16:33:01Z",
            "comment": "Built by CMake 3.27.7 with RelWithDebInfo configuration for Android (i686)",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtwebchannel.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtwebchannel@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtwebchannel",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "966014e43f75cd2ff57667a470be85801920baea"
            },
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtwebchannel-qt-module-WebChannel",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtwebchannel.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtwebchannel-WebChannel@6.8.0",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtwebchannel:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "WebChannel",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtwebchannel-qt-module-WebChannelQuick",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtwebchannel.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtwebchannel-WebChannelQuick@6.8.0",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtwebchannel:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "WebChannelQuick",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtwebchannel-qt-plugin-WebChannelQuickplugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtwebchannel.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtwebchannel-WebChannelQuickplugin@6.8.0",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtwebchannel:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "WebChannelQuickplugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "54136e100d88ec8962f12e76000b06d9baa6cb9c"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6WebChannel_x86.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-WebChannelQuick",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "15c4ca098eb829c4fcf5febf201d454f2f218efa"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6WebChannelQuick_x86.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-WebChannelQuickplugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "e737d009d5f10cc38f0184a9604402b085a67b9a"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./qml/QtWebChannel/libqml_QtWebChannel_webchannelquickplugin_x86.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-compiler",
            "comment": "SPDXRef-Package-qtwebchannel is built by compiler Clang (/opt/android/android-ndk-r26b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++) version 17.0.2",
            "relatedSpdxElement": "SPDXRef-Package-qtwebchannel",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtwebchannel",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel-qt-module-WebChannel",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel-qt-module-WebChannel",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel-qt-module-WebChannel",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Qml",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel",
            "relatedSpdxElement": "SPDXRef-Package-qtwebchannel-qt-module-WebChannel",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel-qt-module-WebChannel",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel-qt-module-WebChannel",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannel//home/qt/work/qt/qtwebchannel/build/target/include/QtWebChannel/qtwebchannelexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannel/qmetaobjectpublisher.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannel/qmetaobjectpublisher_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannel/qwebchannel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannel/qwebchannel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannel/qwebchannel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannel/qwebchannelabstracttransport.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannel/qwebchannelabstracttransport.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannel/signalhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannel/qwebchannelglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannel//home/qt/work/qt/qtwebchannel/build/target/src/webchannel/meta_types/qt6webchannel_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannel",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannel//home/qt/work/qt/qtwebchannel/build/target/src/webchannel/.qt/rcc/qrc_resources.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel-qt-module-WebChannelQuick",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel-qt-module-WebChannelQuick",
            "relatedSpdxElement": "SPDXRef-Package-qtwebchannel-qt-module-WebChannel",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel",
            "relatedSpdxElement": "SPDXRef-Package-qtwebchannel-qt-module-WebChannelQuick",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel-qt-module-WebChannelQuick",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-WebChannelQuick",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel-qt-module-WebChannelQuick",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-WebChannelQuick",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannelQuick",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannelquick//home/qt/work/qt/qtwebchannel/build/target/include/QtWebChannelQuick/qtwebchannelquickexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannelQuick",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannelquick/qqmlwebchannel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannelQuick",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannelquick/qqmlwebchannel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannelQuick",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannelquick/qqmlwebchannelattached_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannelQuick",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannelquick/qqmlwebchannelattached.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannelQuick",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannelquick/qwebchannelquickglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannelQuick",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannelquick//home/qt/work/qt/qtwebchannel/build/target/src/webchannelquick/meta_types/qt6webchannelquick_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannelQuick",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannelquick//home/qt/work/qt/qtwebchannel/build/target/src/webchannelquick/webchannelquick_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebChannelQuick",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannelquick//home/qt/work/qt/qtwebchannel/build/target/src/webchannelquick/.qt/rcc/qrc_qmake_QtWebChannel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel-qt-plugin-WebChannelQuickplugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel",
            "relatedSpdxElement": "SPDXRef-Package-qtwebchannel-qt-plugin-WebChannelQuickplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel-qt-plugin-WebChannelQuickplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-WebChannelQuickplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebchannel-qt-plugin-WebChannelQuickplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-WebChannelQuickplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-WebChannelQuickplugin",
            "comment": "/home/qt/work/qt/qtwebchannel/src/webchannelquick//home/qt/work/qt/qtwebchannel/build/target/src/webchannelquick/WebChannelQuickplugin_QtWebChannelPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        }
    ]
}